petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSFDestroy

destroy star forest

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFDestroy(PetscSF *sf)

Collective

### Input Arguments

sf -address of star forest

### See Also

PetscSFCreate(), PetscSFReset()

### Level

intermediate

### Location

src/vec/is/sf/interface/sf.c

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex2.c.html
src/vec/is/sf/examples/tutorials/ex1f.F90.html

### Implementations

PetscSFDestroy_Basic in src/vec/is/sf/impls/basic/sfbasic.c
PetscSFDestroy_Window in src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages